package com.liangjian.dataplatform.member.entity.vo.detailvo;

import com.liangjian.dataplatform.member.entity.vo.datanodes.DataNode;
import com.liangjian.dataplatform.member.entity.vo.datanodes.MetaCorePackage;

import java.util.Map;

/**
 * @Author: 黄子奇
 * @Date: 2019/8/28 15:46
 *
 * 目录详细信息
 */
public class PackageDetailVo implements DetailVo<MetaCorePackage> {
    private static final long serialVersionUID = 4687827073468557987L;

    private MetaCorePackage metaCorePackage;

    private Map<String,String> children;

    public PackageDetailVo(MetaCorePackage metaCorePackage, Map<String, String> children) {
        this.metaCorePackage = metaCorePackage;
        this.children = children;
    }

    @Override
    public DataNode getRealNode() {
        return this.metaCorePackage;
    }

    @Override
    public void setRealNode(MetaCorePackage metaCorePackage) {
        this.metaCorePackage = metaCorePackage;
    }

    @Override
    public String getNodeType() {
        return this.metaCorePackage.getNamespace();
    }

    @Override
    public String getDataNodeType() {
        return this.metaCorePackage.getDataKind();
    }

    public Map<String, String> getChildren() {
        return children;
    }

    public void setChildren(Map<String, String> children) {
        this.children = children;
    }
}
